Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class LifecyclePolicySearchCondition

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecyclePolicySearchCondition

    public class LifecyclePolicySearchCondition

extends java.lang.Object

Used to specify the search condition to be used to find documents that are candidates for lifecycle processing.

Field Summary
`static LifecyclePolicySearchCondition` | `SKIP_SEARCH_CONDITION` "Skip" search condition.
`static LifecyclePolicySearchCondition` | `STANDARD_SEARCH` Standard search condition.

Constructor Summary
`LifecyclePolicySearchCondition(boolean shouldSearch)` Constructs an instance.

Method Summary
`boolean` | `isStandardSearch()` Returns true if a standard search is indicated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_SEARCH

    public static final LifecyclePolicySearchCondition STANDARD_SEARCH

  Description copied from class: `LifecyclePolicySearchCondition`
  Standard search condition.

### SKIP_SEARCH_CONDITION

    public static final LifecyclePolicySearchCondition SKIP_SEARCH_CONDITION

  Description copied from class: `LifecyclePolicySearchCondition`
  "Skip" search condition.

Constructor Detail

### LifecyclePolicySearchCondition

    public LifecyclePolicySearchCondition(boolean shouldSearch)

  Constructs an instance.

  The argument indicates whether searching shouldbe performed. Currently only standard searching and no searching are supported.

Method Detail

### isStandardSearch

    public boolean isStandardSearch()

  Description copied from class: `LifecyclePolicySearchCondition`
  Returns true if a standard search is indicated.

  Returns:
    true if a standard search is to be used; false if no search should be performed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD